Internal Modules
================

:mod:`~PIL._binary` Module
--------------------------

.. automodule:: PIL._binary
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`~PIL._deprecate` Module
-----------------------------

.. automodule:: PIL._deprecate
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`~PIL._tkinter_finder` Module
----------------------------------

.. automodule:: PIL._tkinter_finder
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`~PIL._typing` Module
--------------------------

.. module:: PIL._typing

Provides a convenient way to import type hints that are not available
on some Python versions.

.. py:class:: Buffer

    Typing alias.

.. py:class:: IntegralLike

    Typing alias.

.. py:class:: NumpyArray

    Typing alias.

.. py:class:: StrOrBytesPath

    Typing alias.

.. py:class:: SupportsRead

    An object that supports the read method.

.. py:data:: TypeGuard
    :value: typing.TypeGuard

    See :py:obj:`typing.TypeGuard`.

:mod:`~PIL._util` Module
------------------------

.. automodule:: PIL._util
    :members:
    :undoc-members:
    :show-inheritance:

:mod:`~PIL._version` Module
---------------------------

.. module:: PIL._version

.. data:: __version__
    :annotation:
    :type: str

    This is the master version number for Pillow,
    all other uses reference this module.

:mod:`PIL.Image.core` Module
----------------------------

.. module:: PIL._imaging
.. module:: PIL.Image.core

An internal interface module previously known as :mod:`~PIL._imaging`,
implemented in :file:`_imaging.c`.

.. py:class:: ImagingCore

    A representation of the image data.
